# Кварк "Стр" -- для текстовых данных.

кварк: Стр
база: string
реализация: ./lev1/quarq/quarq_str/

атрибуты:
  док: |
    Стр является базовым носителем текстовой информации.
    Обеспечивает хранение, конкатенацию и сравнение литерных последовательностей.
  дефолт: ""

состояние:
  знач: "" # Текущее состояние (string)

методы:
  - Доб: "Добавить другой Стр к текущему"
  - Длина: "Вернуть длину строки как кварк Целое"
  - Подстр: "Извлечь часть строки по индексам"
  - Сброс: "Сбросить строку в дефолт"
  - Уст: "Принудительно установить значение"
  - Получ: "Вернуть хранимое значение"
  - ЕслиРавно: "Сравнить на равенство с донором (вернуть Бул)"
  - ЕслиЗапрет: "Проверить, содержит ли строка запрет на своё использование (вернуть Бул)"
  - КакЦел: "Преобразовать в число (если возможно)"
  - КакБул: "Преобразовать в булево (истина если не Стр содержит не дефолтное значение)"